package com.gh.gamecenter.manager;

import android.content.Context;

import com.gh.gamecenter.db.SuspectedGameDao;
import com.gh.gamecenter.db.info.SuspectedGameInfo;

import java.util.List;

public class SuspectedGameManager {

	private SuspectedGameDao dao;

	public SuspectedGameManager(Context context) {
		dao = new SuspectedGameDao(context);
	}

	public void addGame(SuspectedGameInfo entity) {
		dao.add(entity);
	}

	public SuspectedGameInfo findSuspectedGame(String packageName) {
		return dao.find(packageName);
	}

	public void deleteSuspectedGame(String packageName) {
		dao.delete(packageName);
	}

	public List<SuspectedGameInfo> getAllGame() {
		return dao.getAll();
	}

	public void updateGame(SuspectedGameInfo entity) {
		dao.update(entity);
	}

	public void deleteAll() {
		dao.deleteAll();
	}

}
